### 工程介绍
ACME 客户端的作用是证书申请。目前网上普遍采用的是同步方式来申请证书，其中包含 acme.sh 等. 由于这些脚本走的是同步方式，且往往需要脚本自动修改nginx 或者 apache等服务器的配置，来实现证书域名的认证。
当出现大量证书同时申请时会导致申请效率指数级下降。以acme.sh + nginx为例，当一台机器上部署了10个网站，则大概只需要1分钟。如果是1000个，则需要至少3小时。当3000个时需要几乎一整天，且整个过程中常常会出现nginx有短暂的不工作的情况。
当超过7000个时，整个申请过程几乎已经不可用。
到这个问题的原因是：每次更新证书前，都需要修改nginx配置，并重启nginx。当证书超过1000个时，每一次修改nginx都需要重新加载所有配置和证书。且同步请求需要等待前一个申请完成才能进行。

