package com.chuang.tauceti.acme.v2.exception;

public class AcmeProtocolException extends AcmeException {
    private static final long serialVersionUID = 2031203835755725193L;

    /**
     * Creates a new {@link AcmeProtocolException}.
     *
     * @param msg
     *            Reason of the exception
     */
    public AcmeProtocolException(String msg) {
        super(msg);
    }

    /**
     * Creates a new {@link AcmeProtocolException}.
     *
     * @param msg
     *            Reason of the exception
     * @param cause
     *            Cause
     */
    public AcmeProtocolException(String msg, Throwable cause) {
        super(msg, cause);
    }

}
