package com.chuang.tauceti.blockchain.payment.client.eth;

import javax.annotation.Nullable;

/**
 * 以太坊客户端
 */
public class EtherClient extends EthClient {

    public EtherClient(String chainSeed, GasProvider gasProvider, @Nullable NonceProvider nonceProvider) {
        super(chainSeed, gasProvider, nonceProvider);
    }

    @Override
    public String getChainName() {
        return "ETH";
    }

    @Override
    public String getValueSymbol() {
        return "ETH";
    }
}
