package com.chuang.tauceti.blockchain.client.contract.ether;

import com.chuang.tauceti.blockchain.model.Coin;

import javax.annotation.Nullable;

/**
 * BSC 链
 */
public class BscClient extends EthClient {

    public BscClient(String chainSeed, GasProvider gasProvider, @Nullable NonceProvider nonceProvider) {
        super(chainSeed, gasProvider, nonceProvider);
    }

    @Override
    public String getChainName() {
        return "BSC";
    }


    @Override
    public Coin getValueCoin() {
        return new Coin().setSymbol("BNB")
                .setName("BNB")
                .setDecimals(18);
    }
}
