package com.chuang.tauceti.rowquery.controller.basic;


import com.chuang.tauceti.rowquery.IRowQueryService;

/**
 * @author ath
 */
public interface IBaseController<E, S extends IRowQueryService<E>> {
    /**
     * 获取service对象
     * @return 服务对象
     */
    S service();


    /**
     * 获取entity的Class对象
     * @return entity的Class对象
     */
    default Class<E> entityClass() {
        return service().getEntityClass();
    }
}
