package com.chuang.tauceti.limit.group;

import org.springframework.stereotype.Component;

import java.lang.reflect.Method;

/**
 * 根据方法分组
 * @author ATH
 */
@Component
public class MethodGroupMapping implements IGroupMapping {

    @Override
    public String groupName() {
        return METHOD;
    }

    @Override
    public String mapping(Method method) {
        return method.getDeclaringClass() + "-" + method;
    }
}
