package com.chuang.tauceti.limit.quote;

import org.aspectj.lang.ProceedingJoinPoint;
import org.aspectj.lang.reflect.MethodSignature;

import java.lang.reflect.Method;

/**
 * @author ATH
 */
public interface IQuote {

    String IP = "@ip";
    String USER = "@user";
    String SESSION = "@session";
    String METHOD_ARGS = "@args";
    String REQUEST_HEADERS = "@requestHeaders";
    String REQUEST_PARAMS = "@requestParams";
    String REQUEST = "@request";
    String THIS = "@this";
    String TARGET = "@target";

    String USERNAME = "${@user.username}";
    String SESSION_ID = "${@session.id}";

    /**
     * @return 对象名
     */
    String refer();

    /**
     * @return 对象
     */
    Object quote(ProceedingJoinPoint pjp);
}
