package com.chuang.tauceti.limit.quote;

import com.chuang.tauceti.tools.third.servlet.HttpKit;
import org.aspectj.lang.ProceedingJoinPoint;
import org.springframework.stereotype.Component;

/**
 * @author ATH
 */
@Component
public class RemoteIpQuote implements IQuote {
    @Override
    public String refer() {
        return IP;
    }

    @Override
    public Object quote(ProceedingJoinPoint method) {
        return HttpKit.getIpAddress().get();
    }
}
