package com.chuang.tauceti.limit.quote;

import com.chuang.tauceti.tools.third.servlet.HttpKit;
import org.aspectj.lang.ProceedingJoinPoint;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletRequest;

/**
 * @author ATH
 */

@Component
public class SessionQuote implements IQuote {

    @Override
    public String refer() {
        return SESSION;
    }

    @Override
    public Object quote(ProceedingJoinPoint method) {
        return HttpKit.getRequest().map(HttpServletRequest::getSession).get();
    }
}
