package com.chuang.tauceti.syslog.amqp;

/**
 * @author ATH
 */

public enum OperationStatusEnum {

    /** 成功 */
    SUCCESS("0", "成功"),
    /** 失败 */
    FAIL("1","失败");


    private final String code;

    private final String message;

    OperationStatusEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
