package com.chuang.tauceti.support.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

/**
 * @author ATH
 */

public enum CRUD {
    /** 增加 */
    CREATE(1),
    /** 读取 */
    RETRIEVE(2),
    /** 修改 */
    UPDATE(3),
    /** 删除 */
    DELETE(4);

    @EnumValue
    private final byte code;
    CRUD(int code){
        this.code = (byte)code;
    }

    public byte getCode() {
        return code;
    }

}
