package com.chuang.tauceti.support.page;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@Getter
@Accessors(chain = true)
@AllArgsConstructor
@NoArgsConstructor
public class Pageable {

    private Long current;

    private Long size;

    public Pageable(int current, int size) {
        this((long) current, (long) size);
    }
}
