package com.chuang.tauceti.support.rowquery.filters;


import com.chuang.tauceti.support.rowquery.FilterType;
import com.chuang.tauceti.support.rowquery.RowQuery;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Created by ath on 2018/4/29.
 */
@Data
public class NumberFilter implements RowQuery.Filter {
    private String field;
    private String option;
    private BigDecimal value;
    private BigDecimal valueTo;
    @Override
    public String getField() {
        return field;
    }

    @Override
    public FilterType getFilterType() {
        return FilterType.NUMBER;
    }

}
