package com.chuang.tauceti.ui.table;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.*;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * @author ATH
 */
@Documented
@Target({TYPE, FIELD, METHOD})
@Retention(RUNTIME)
public @interface TableField {

    String name();

    int order() default 1;

}
