package com.chuang.telegram.bot.enums;


/**
 * @author ATH
 */

public enum ActionType {
    /** 输入中 */
    TYPING("typing"),
    /**  */
    RECORD_VIDEO("record_video"),
    RECORD_AUDIO("record_audio"),
    UPLOAD_PHOTO("upload_photo"),
    UPLOAD_VIDEO("upload_video"),
    UPLOAD_AUDIO("upload_audio"),
    UPLOAD_DOCUMENT("upload_document"),
    FIND_LOCATION("find_location");

    private final String text;

    ActionType(String text) {
        this.text = text;
    }

    @Override
    public String toString() {
        return text;
    }

    public static ActionType of(String text) {
        if (text == null) {
            return null;
        }
        return ActionType.valueOf(text.toUpperCase());
    }
}
