package com.chuang.telegram.bot.exception;

import com.chuang.tauceti.support.exception.BusinessException;

/**
 * @author Ruben Bermudez
 * @version 1.0
 * @brief Base class for any exception from TelegramBots api
 * @date 16 of September of 2016
 */
public class TelegramApiException extends BusinessException {

    public TelegramApiException(String message) {
        super(message);
    }

    public TelegramApiException(String message, Throwable cause) {
        super(message, cause);
    }

    protected TelegramApiException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
