package com.chuang.test.tgbot;

import com.chuang.tauceti.httpclient.Request;
import org.junit.jupiter.api.Test;

public class WebHookTest {

    private final String BOT = "5250897653:AAFa4Rl7QZI1Hqe4mFKln-FltR6ae2S1wVo";
    private final String SECRET_TOKEN = "TEST-TOKEN-1211111";

    @Test
    public void testWebHook() {
        boolean dropPending = false;
        String callbackUrl = "https://a3b9-122-55-176-99.ngrok.io";
        Request.Get("https://api.telegram.org/bot" + BOT + "/setWebHook")
                .parameter("url", callbackUrl)
                .parameter("drop_pending_updates", dropPending + "")
                .parameter("max_connections", "100")
//                请求固定ip，而不是 DNS 解析的IP
//                .parameter("ip_address", "xxxxxxx")
//                证书，应该得用body传公钥文件,传字符串不行，只有自签证书需要这么做。
//                .parameter("certificate", xxxxxx)
                .parameter("allowed_updates", "[]")
                .parameter("secret_token", SECRET_TOKEN)
                .build()
                .asyncExecuteAsString()
                .thenAccept(this::print)
                .join();
    }

    @Test
    public void testWebHookRemove() {
        boolean dropPending = false;
        Request.Get("https://api.telegram.org/bot" + BOT + "/deleteWebHook")
                .parameter("drop_pending_updates", dropPending + "")
                .build()
                .asyncExecuteAsString()
                .thenAccept(this::print)
                .join();
    }

    @Test
    public void getWebhookInfo() {
        Request.Get("https://api.telegram.org/bot" + BOT + "/getWebHookInfo")
                .build()
                .asyncExecuteAsString()
                .thenAccept(this::print)
                .join();
    }

    private void print(String msg) {
        System.out.println("\n\n\n\n====================================" + msg + "================================\n\n\n\n");
    }
}
