package com.chuang.tauceti.tools.basic;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.concurrent.TimeUnit;
import java.util.function.BiPredicate;

@Getter
@AllArgsConstructor
public class RetryStrategy<T> {

    private final int times;

    private final int delay;

    private final TimeUnit timeUnit;

    private final BiPredicate<T, Throwable> test;


}
