package com.chuang.tauceti.tools.third;

import com.chuang.tauceti.tools.basic.HexKit;

import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;

public class SeedRandom {
    private static final int BYTES = 32;

    /**
     *
     * @param serverSeed
     * @param clientSeed
     * @param nonce
     * @param cursor
     * @return
     */
    public static byte[] byteGenerator(String serverSeed, String clientSeed, String nonce, int cursor) {

        int currentRound = cursor / BYTES;
        int currentRoundCursor = cursor % BYTES;

        String secret = clientSeed + ":" + nonce + ":0";

        System.out.println(sha256_HMAC(secret.getBytes(), serverSeed.getBytes()));


        return null;

    }



    public static void main(String[] args) {

//        byteGenerator(
//                "c1e413a0e4d9498eb1822cd764ad8b5bed93ddadbeb7c7a90e7d93d5efa39208",
//                "5a55e8e5c7",
//                "2",
//                0
//        );
        long h = (long) (Math.pow(2, 52) - -1) ;
        print(h);
    }



    public static String sha256_HMAC(byte[] message, byte[] secret) {
        String hash = "";
        try {
            Mac sha256_HMAC = Mac.getInstance("HmacSHA256");
            SecretKeySpec secret_key = new SecretKeySpec(secret, "HmacSHA256");
            sha256_HMAC.init(secret_key);
            byte[] bytes = sha256_HMAC.doFinal(message);
            hash = HexKit.encodeHexStr(bytes);
        } catch (Exception e) {
            System.out.println("Error HmacSHA256 ===========" + e.getMessage());
        }
        return hash;
    }

    public static void print(long h) {
        double e = Math.pow(2, 52);

        System.out.println("e: " + e);
        System.out.println("h: " + h);

//        for (double i = 0 ; i < 10; i += 0.5) {
//            double s = 100 - i;
//            System.out.println("r" + s + ": " + (((s * e - h) / (e - h))) + "x");
//        }


        System.out.println("r100: " + (((100 * e - h) / (e - h))) + "x");
//        System.out.println("r99: " + (((99 * e - h) / (e - h)) / 100) + "x");
//        System.out.println("r98: " + (((98 * e - h) / (e - h)) / 100) + "x");
    }
}
