ALTER TABLE `seo`.`sys_ability`
    MODIFY COLUMN `ability` varchar(2048) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL AFTER `name`;

ALTER TABLE `seo`.`sys_menu`
    MODIFY COLUMN `internal_link` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL AFTER `i18n`,
    MODIFY COLUMN `external_link` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL AFTER `internal_link`;

ALTER TABLE `seo`.`sys_menu`
    MODIFY COLUMN `icon` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL AFTER `reuse`;


CREATE TABLE `seo`.`t_scheduler`  (
                                   `id` int NOT NULL COMMENT 'id',
                                   `job_name` varchar(64) NOT NULL COMMENT '任务名',
                                   `job_group` varchar(64) NOT NULL COMMENT '任务组',
                                   `job_class` varchar(2048) NOT NULL COMMENT '任务类名',
                                   `cron` varchar(128) NOT NULL COMMENT 'cron表达式',
                                   `description` varchar(2048) NOT NULL COMMENT '描述',
                                   `params` varchar(2048) NULL COMMENT '参数',
                                   `state` tinyint NOT NULL COMMENT '状态',
                                   `creator` varchar(32) NOT NULL COMMENT '创建人',
                                   `created_time` datetime NOT NULL COMMENT '创建时间',
                                   `updater` varchar(32) NOT NULL COMMENT '更新人',
                                   `updated_time` datetime NOT NULL COMMENT '更新时间',
                                   `start_time` datetime NULL COMMENT '开始时间',
                                   `end_time` datetime NULL COMMENT '结束时间',
                                   PRIMARY KEY (`id`)
);
