package com.chuang.urras.admin.controller;

import com.chuang.tauceti.support.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("/test")
@RestController
@Api(tags = "测试")
public class TestController {

    @ApiOperation("测试开放")
    @GetMapping("/open")
    public Result<Void> testOpen() {
        return Result.success();
    }
}
