import { Injectable } from '@angular/core';
import { _HttpClient } from '@delon/theme';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class JsGroupService {
  constructor(private http: _HttpClient) {}

  public group(id: number, domains: string[]): Observable<any> {
    return this.http.post(`/api/star-ring/js-group/group/${id}`, domains);
  }
}
