import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  { path: 'otc', loadChildren: () => import('./otc/otc.module').then(m => m['OtcModule']) },
  { path: 'payment', loadChildren: () => import('./payment/payment.module').then(m => m['PaymentModule']) },
  { path: 'star-ring', loadChildren: () => import('./star-ring/star-ring.module').then(m => m['StarRingModule']) }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class UrrasRoutingModule {}
