import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { NzInputModule } from 'ng-zorro-antd/input';
import { NzSelectModule } from 'ng-zorro-antd/select';
import { NzIconModule } from 'ng-zorro-antd/icon';
import { ObjectSelectComponent } from './object-select.component';

@NgModule({
  declarations: [ObjectSelectComponent],
  exports: [ObjectSelectComponent],
  imports: [CommonModule, NzSelectModule, NzIconModule, NzInputModule, FormsModule],
})
export class ObjectSelectModule {}
