package com.chuang.urras.common.crud;

import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class ReferenceGen {

	/**
	 * 生成唯一id
	 *
	 * @param entity 对象
	 * @return id
	 */
	public static String gen(String prefix, Object entity) {
		return prefix.concat(IdWorker.getIdStr(entity));
	}

	/**
	 * 生成唯一id
	 *
	 * @return id
	 */
	public static String gen(String prefix) {
		return prefix.concat(IdWorker.getIdStr());
	}
}
