package com.chuang.urras.common.crud.aop;

import java.lang.annotation.*;

/**
 * @author ATH
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface NeedRetry {
    /**
     * 最大重试次数
     */
    int maxTimes() default 3;
}
