package com.chuang.urras.common.events;

import org.springframework.context.ApplicationEvent;

public class OfficeMsgEvent extends ApplicationEvent {

    private final String message;
    private final MsgType type;

    public OfficeMsgEvent(Object source, MsgType type, String message) {
        super(source);
        this.type = type;
        this.message = message;
    }

    public String getMessage() {
        return message;
    }

    public MsgType getType() {
        return type;
    }

    public enum MsgType {
        SUCCESS, WARN, ERROR, INFO
    }
}
