package com.chuang.urras.common.task.configuration;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chuang.urras.common.crud.annotations.MybatisPlusPackage;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

@Configuration
@MapperScan(basePackages = "com.chuang.urras.common.task", markerInterface = BaseMapper.class)
@ComponentScan("com.chuang.urras.common.task")
@MybatisPlusPackage(aliases = "com.chuang.urras.common.task.model", enums = "com.chuang.urras.common.task.enums")
public class QuartzTaskAutoConfiguration {

}
