package com.chuang.urras.common.task.enums;

/**
 * 变更任务状态
 *
 * @author Ives.l
 * @since 2021/12/9 15:25
 */
public enum JobStatus {
	/**
	 * 运行
	 */
	RUN(1),
	/**
	 * 暂停
	 */
	PAUSE(2),
	/**
	 * 恢复
	 */
	RESUME(3),
	/**
	 * 中止
	 */
	INTERRUPT(4);

	private final Integer code;

	JobStatus(Integer code) {
		this.code = code;
	}

	public Integer getCode() {
		return code;
	}

}
