package com.chuang.urras.common.web.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.List;
import java.util.Locale;

/***
 * 通用配置
 *
 * @author: Ives.l
 * @since: 2021/10/4 10:32
 */
@Data
@ConfigurationProperties(prefix = "spring.web")
public class SpringWebProperties {

	/**
	 * 配置系统可以支持的语言
	 */
	private List<Locale> supportedLocales;


}
