package com.chuang.urras.generator.impl.angular;

import com.baomidou.mybatisplus.generator.config.po.TableInfo;
import com.chuang.tauceti.generator.GenType;
import com.chuang.tauceti.generator.config.GenConfig;
import com.chuang.urras.generator.CustomGenTypes;

/**
 * Angular Table页面组件 生成器
 * @author ATH
 */
public class ComponentTs extends AngularComponentGenerator {
    @Override
    public String template() {
        return "/templates/angular/component.ts.vm";
    }

    @Override
    public GenType type() {
        return CustomGenTypes.ANGULAR_TS;
    }

    @Override
    public String outputFile(GenConfig config, TableInfo info) {
        String compName = angularCompName(config, info);
        return BASE_PATH + compName + "/" + compName + ".component.ts";
    }

}
