package com.chuang.urras.generator.impl.angular;

import com.baomidou.mybatisplus.generator.config.po.TableInfo;
import com.chuang.tauceti.generator.GenType;
import com.chuang.tauceti.generator.config.GenConfig;
import com.chuang.urras.generator.CustomGenTypes;

/**
 * angular 详情页面组件 生成器
 * @author ATH
 */
public class ViewComponentTs extends AngularComponentGenerator {
    @Override
    public String template() {
        return "/templates/angular/view.component.ts.vm";
    }

    @Override
    public GenType type() {
        return CustomGenTypes.ANGULAR_VIEW_TS;
    }

    @Override
    public String outputFile(GenConfig config, TableInfo info) {
        return BASE_PATH + angularCompName(config, info) + "/modal/view.component.ts";
    }

}
