package com.chuang.urras.generator.impl.model;

import com.baomidou.mybatisplus.generator.config.po.TableInfo;
import com.chuang.tauceti.generator.config.GenConfig;
import com.chuang.tauceti.generator.impl.EntityGen;
import com.chuang.urras.generator.GenConst;

/**
 * OracleEntity 类生成器
 * @author ATH
 */
public class OracleEntityGen extends EntityGen {
    @Override
    public String template() {
        return "/templates/java/oracle-entity.java.vm";
    }

    @Override
    public String outputFile(GenConfig config, TableInfo info) {
        return GenConst.CURREN.getCorePath() + super.outputFile(config, info);
    }
    @Override
    public String pkg(GenConfig genConfig, TableInfo info) {
        return GenConst.CURREN.getEntityPackage();
    }
}
