package com.chuang.urras.sr.admin.controller;

import com.chuang.tauceti.rowquery.controller.basic.ICrudController;
import com.chuang.urras.sr.admin.model.co.TemplateUploadUserCO;
import com.chuang.urras.sr.admin.model.ro.TemplateUploadUserRO;
import com.chuang.urras.sr.admin.model.uo.TemplateUploadUserUO;
import com.chuang.urras.sr.core.entity.TemplateUploadUser;
import com.chuang.urras.sr.core.service.single.ITemplateUploadUserService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author chuang
 * @since 2021-05-26
 */
@RestController
@RequestMapping("/star-ring/template-upload-user")
public class TemplateUploadUserController implements ICrudController<TemplateUploadUserCO, TemplateUploadUserRO, TemplateUploadUserUO, TemplateUploadUser, ITemplateUploadUserService> {


    @Resource private ITemplateUploadUserService service;

    @Override
    public ITemplateUploadUserService service() {
        return service;
    }

    @Override
    public String basePermission() {
        return "template-upload-user:";
    }

}

