package com.chuang.urras.sr.admin.model.ro;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * <p>
 * 蜘蛛爬行记录
 * </p>
 *
 * @author chuang
 * @since 2021-05-26
 */
@Data
@Accessors(chain = true)
@ApiModel(value="DomainFetchLogRO对象", description="蜘蛛爬行记录")
public class DomainFetchLogRO implements Serializable {

    @ApiModelProperty(value = "id")
    private Integer id;
    @ApiModelProperty(value = "域名")
    private String domain;
    @ApiModelProperty(value = "抓取次数")
    private Integer times;
    @ApiModelProperty(value = "更新时间")
    private LocalDate logDate;
    @ApiModelProperty(value = "是否为内部网站")
    private Boolean internal;
}
