package com.chuang.urras.sr.admin.model.ro;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * JS分组
 * </p>
 *
 * @author chuang
 * @since 2021-05-26
 */
@Data
@Accessors(chain = true)
@ApiModel(value="JsGroupRO对象", description="JS分组")
public class JsGroupRO implements Serializable {

    @ApiModelProperty(value = "id")
    private Integer id;
    @ApiModelProperty(value = "js")
    private String js;
    @ApiModelProperty(value = "名称")
    private String name;
    @ApiModelProperty(value = "平台")
    private String gamePlatform;
}
