package com.chuang.urras.sr.admin.model.ro;

import com.chuang.urras.sr.core.enums.PlatformType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 搜索引擎检测内容
 * </p>
 *
 * @author chuang
 * @since 2021-05-26
 */
@Data
@Accessors(chain = true)
@ApiModel(value="PlatformCheckContentRO对象", description="搜索引擎检测内容")
public class PlatformCheckContentRO implements Serializable {

    @ApiModelProperty(value = "id")
    private Integer id;
    @ApiModelProperty(value = "平台")
    private PlatformType platformType;
    @ApiModelProperty(value = "域名")
    private String domain;
    @ApiModelProperty(value = "检测内容")
    private String checkContent;
    @ApiModelProperty(value = "账号")
    private String username;
    @ApiModelProperty(value = "提交成功")
    private Boolean submitted;
    @ApiModelProperty(value = "返回结果")
    private String result;
    @ApiModelProperty(value = "缓存1")
    private String temp;
    @ApiModelProperty(value = "缓存2")
    private String temp2;
    @ApiModelProperty(value = "已发布")
    private Boolean linkPublished;
}
