package com.chuang.urras.sr.admin.model.ro;

import com.chuang.urras.sr.core.enums.PlatformType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 搜索引擎账号Cookie
 * </p>
 *
 * @author chuang
 * @since 2021-05-26
 */
@Data
@Accessors(chain = true)
@ApiModel(value="PlatformCookieRO对象", description="搜索引擎账号Cookie")
public class PlatformCookieRO implements Serializable {

    @ApiModelProperty(value = "id")
    private Integer id;
    @ApiModelProperty(value = "平台")
    private PlatformType platformType;
    @ApiModelProperty(value = "是否有效")
    private String cookie;
    @ApiModelProperty(value = "账号")
    private String username;
    @ApiModelProperty(value = "是否检验")
    private Boolean valid;
    @ApiModelProperty(value = "是否自动")
    private Boolean auto;
}
