package com.chuang.urras.sr.admin.model.ro;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 服务器
 * </p>
 *
 * @author chuang
 * @since 2021-06-11
 */
@Data
@Accessors(chain = true)
@ApiModel(value="ServerRO对象", description="服务器")
public class ServerRO implements Serializable {

    @ApiModelProperty(value = "id")
    private Integer id;
    @ApiModelProperty(value = "服务器名称")
    private String serverName;
    @ApiModelProperty(value = "服务器ip")
    private String serverIp;
    private Integer sshPort;
    private String intranetIp;
    @ApiModelProperty(value = "服务器用户")
    private String serverUser;
    @ApiModelProperty(value = "服务器密码")
    private String serverPass;
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createdTime;
    @ApiModelProperty(value = "创建人")
    private String creator;
    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updatedTime;
    @ApiModelProperty(value = "更新人")
    private String updater;
}
