package com.chuang.urras.sr.admin.model.ro;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 目标站记录
 * </p>
 *
 * @author chuang
 * @since 2021-05-26
 */
@Data
@Accessors(chain = true)
@ApiModel(value="TargetDomainRO对象", description="目标站记录")
public class TargetDomainRO implements Serializable {

    @ApiModelProperty(value = "id")
    private Integer id;
    @ApiModelProperty(value = "目标站")
    private String targetDomain;
    @ApiModelProperty(value = "星环特有")
    private Boolean xinhuan;
    @ApiModelProperty(value = "是否使用")
    private Boolean used;
    @ApiModelProperty(value = "使用人")
    private String usedBy;
    @ApiModelProperty(value = "使用时间")
    private LocalDateTime usedTime;
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createdTime;
    @ApiModelProperty(value = "创建人")
    private String creator;
}
