package com.chuang.urras.sr.admin.model.uo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author chuang
 * @since 2021-09-18
 */
@Data
@Accessors(chain = true)
@ApiModel(value="ExemptDomainUO对象", description="")
public class ExemptDomainUO implements Serializable {

    @NotNull(message = "不能为空")
    private Integer id;

    @ApiModelProperty(value = "豁免域名")
    @NotBlank(message = "豁免域名不能为空")
    private String domain;

}
