package com.chuang.urras.sr.admin.model.uo;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author chuang
 * @since 2021-06-10
 */
@Data
@Accessors(chain = true)
@ApiModel(value="SentenceArticleContentUO对象", description="")
public class SentenceArticleContentUO implements Serializable {

    @NotNull(message = "不能为空")
    private Long id;

    @NotNull(message = "不能为空")
    private Integer sentenceArticleId;

    @NotBlank(message = "不能为空")
    private String content;

}
