package com.chuang.urras.sr.admin.model.uo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 模板分组
 * </p>
 *
 * @author chuang
 * @since 2021-05-26
 */
@Data
@Accessors(chain = true)
@ApiModel(value="TemplateGroupUO对象", description="模板分组")
public class TemplateGroupUO implements Serializable {

    @ApiModelProperty(value = "id")
    @NotNull(message = "id不能为空")
    private Integer id;

    @ApiModelProperty(value = "组名")
    @NotBlank(message = "组名不能为空")
    private String group;

    @ApiModelProperty(value = "备注")
    @NotBlank(message = "备注不能为空")
    private String remark;

}
