package com.chuang.urras.sr.core.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chuang.urras.sr.core.entity.Title;
import org.apache.ibatis.annotations.Insert;

import java.util.Collection;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author chuang
 * @since 2021-06-10
 */
public interface TitleMapper extends BaseMapper<Title> {

    @Insert("<script> " +
            "insert ignore into `t_title`" +
            "(title, creator, created_time) " +
            "<foreach collection=\"titles\" item=\"o\" open=\"values\" separator=\",\"> " +
            "(#{o.title},#{o.creator},#{o.createdTime}) " +
            "</foreach> " +
            "</script>")
    int saveOrIgnoreDuplicate(Collection<Title> titles);
}
