package com.chuang.urras.sr.core.service;

import com.chuang.urras.sr.core.entity.Sprocket;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author chuang
 * @since 2021-09-18
 */
public interface ISprocketService extends IRandomService<String, Sprocket> {
    default List<Sprocket> findByDomain(String domain) {
        return lambdaQuery().eq(Sprocket::getDomain, domain).list();
    }
}
