package com.chuang.urras.sr.core.service.impl;

import com.baomidou.mybatisplus.core.toolkit.support.SFunction;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chuang.urras.sr.core.entity.Sprocket;
import com.chuang.urras.sr.core.mapper.SprocketMapper;
import com.chuang.urras.sr.core.service.ISprocketService;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author chuang
 * @since 2021-09-18
 */
@Service
public class SprocketServiceImpl extends ServiceImpl<SprocketMapper, Sprocket> implements ISprocketService {

    @Override
    public SFunction<Sprocket, String> randomMapper() {
        return Sprocket::getDomain;
    }

    @Override
    public SFunction<Sprocket, Integer> idMapper() {
        return Sprocket::getId;
    }
}
