package com.chuang.urras.sr.core.service.single;

import com.chuang.urras.sr.core.entity.AcmeAccount;
import com.chuang.tauceti.rowquery.IRowQueryService;

import java.util.Optional;

/**
 * <p>
 * ACME账号 服务类
 * </p>
 *
 * @author chuang
 * @since 2021-05-29
 */
public interface IAcmeAccountService extends IRowQueryService<AcmeAccount> {

    default Optional<AcmeAccount> findByAccount(String account) {
        return lambdaQuery().eq(AcmeAccount::getAccount, account).oneOpt();
    }
}
