package com.chuang.urras.sr.core.service.single;

import com.chuang.urras.sr.core.entity.AcmeOrder;
import com.chuang.tauceti.rowquery.IRowQueryService;

import java.util.Optional;

/**
 * <p>
 * Acme订单 服务类
 * </p>
 *
 * @author chuang
 * @since 2021-05-31
 */
public interface IAcmeOrderService extends IRowQueryService<AcmeOrder> {

    default Optional<AcmeOrder> findByReference(String reference) {
        return lambdaQuery().eq(AcmeOrder::getOrderReference, reference).oneOpt();
    }

}
