package com.chuang.urras.sr.core.service.single;

import com.chuang.urras.sr.core.entity.Server;
import com.chuang.tauceti.rowquery.IRowQueryService;

import java.util.Optional;

/**
 * <p>
 * 服务器 服务类
 * </p>
 *
 * @author chuang
 * @since 2021-06-11
 */
public interface IServerService extends IRowQueryService<Server> {
    default Optional<Server> findByServerName(String serverName) {
        return lambdaQuery().eq(Server::getServerName, serverName).oneOpt();
    }

}
