package com.chuang.urras.sr.core.service.single;

import com.baomidou.mybatisplus.core.toolkit.support.SFunction;
import com.chuang.urras.sr.core.entity.Title;
import com.chuang.urras.sr.core.service.IRandomService;

import java.util.Collection;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author chuang
 * @since 2021-06-10
 */
public interface ITitleService extends IRandomService<String, Title> {
    @Override
    default SFunction<Title, String> randomMapper() {
        return Title::getTitle;
    }

    @Override
    default SFunction<Title, Integer> idMapper() {
        return Title::getId;
    }

    boolean saveBatchSafe(Collection<Title> titles);
}
