package com.chuang.urras.sr.core.service.single.impl;

import com.baomidou.mybatisplus.core.toolkit.support.SFunction;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chuang.urras.sr.core.entity.SeoDomain;
import com.chuang.urras.sr.core.mapper.SeoDomainMapper;
import com.chuang.urras.sr.core.service.single.ISeoDomainService;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ath
 * @since 2020-09-23
 */
@Service
public class SeoDomainServiceImpl extends ServiceImpl<SeoDomainMapper, SeoDomain> implements ISeoDomainService {


    @Override
    public SFunction<SeoDomain, Integer> idMapper() {
        return SeoDomain::getId;
    }
}
