package com.chuang.urras.sr.restapp;

import com.chuang.urras.sr.core.entity.SeoTemplate;
import org.springframework.stereotype.Component;

import java.util.Optional;

@Component
public class LocalThreadCache {
    private ThreadLocal<SeoTemplate> cache = new ThreadLocal<>();

    public void set(SeoTemplate t) {
        cache.set(t);
    }

    public Optional<SeoTemplate> get() {
        return Optional.ofNullable(cache.get());
    }

    public void remove() {
        cache.remove();
    }
}
