package com.chuang.tauceti.acme.v2.exception;

import java.io.IOException;

public class AcmeNetworkException extends AcmeException {
    private static final long serialVersionUID = 2054398693543329179L;

    /**
     * Create a new {@link AcmeNetworkException}.
     *
     * @param cause
     *            {@link IOException} that caused the network error
     */
    public AcmeNetworkException(IOException cause) {
        super("Network error", cause);
    }

}
