package com.chuang.tauceti.blockchain.payment.model.eth;

import com.chuang.tauceti.blockchain.payment.model.ITransaction;
import lombok.Data;

import java.math.BigInteger;

@Data
public class SimpleEthTransaction implements ITransaction {

    private String blockHash;
    private BigInteger blockNumber;
    private String transactionHash;
    private BigInteger transactionIndex;
    private BigInteger value;
    private String from;
    private String to;

    @Override
    public String getStorageKey() {
        return blockHash;
    }
}
