package com.chuang.tauceti.blockchain.payment.model.eth;

import com.chuang.tauceti.blockchain.payment.model.Coin;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * RC20 代币
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class Token extends Coin {

    /**
     * 创建地址
     */
    private String ownerAddress;

    /**
     * 合约地址
     */
    private String contractAddress;

    @Override
    public boolean isToken20() {
        return true;
    }
}
