package com.chuang.tauceti.blockchain.payment.model.eth;

import com.chuang.tauceti.blockchain.payment.BlockChainUtils;
import com.chuang.tauceti.tools.basic.reflect.ConvertKit;

public class Token20Log extends Log {

    public String getContract() {
        return this.getAddress();
    }

    public String getFrom() {
        return BlockChainUtils.toAddress(getTopics().get(1));
    }

    public String getTo() {
        return BlockChainUtils.toAddress(getTopics().get(2));
    }

    public SimpleEthTransaction asSimpleTransaction() {
        SimpleEthTransaction t = ConvertKit.toBean(this, SimpleEthTransaction::new);
        t.setValue(this.getDataValue());
        return t;
    }
}
