package com.chuang.tauceti.blockchain.client.contract;


import org.web3j.abi.datatypes.Type;

import java.util.concurrent.CompletableFuture;

public interface IFunctionCaller {

    <T, R extends Type<T>> CompletableFuture<T> callReader(Function<T, R> function);

    <T, R extends Type<T>> CompletableFuture<String> callWriter(Function<T, R> function);

}
