package com.chuang.tauceti.blockchain.client.contract.ether;

import com.chuang.tauceti.blockchain.client.contract.Function;
import com.chuang.tauceti.blockchain.model.Coin;
import org.web3j.abi.datatypes.Type;

import javax.annotation.Nullable;
import java.util.concurrent.CompletableFuture;

/**
 * 以太坊客户端
 */
public class EtherClient extends EthClient {

    public EtherClient(String chainSeed, GasProvider gasProvider, @Nullable NonceProvider nonceProvider) {
        super(chainSeed, gasProvider, nonceProvider);
    }

    @Override
    public String getChainName() {
        return "ETH";
    }

    @Override
    public Coin getValueCoin() {
        return new Coin().setDecimals(18).setSymbol("ETH").setName("ETH");
    }

}
