package com.chuang.tauceti.rbac2.rest;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author ATH
 */
@Data
@Component
@ConfigurationProperties(prefix = "tau-ceti.rbac2")
public class Rbac2Properties {
    private String appName = "TAUCETI-RBAC2";
    private String appDescription = "这是一个 RBAC2 权限框架";
    private boolean dbMessageSource = true;
}
