package com.chuang.tauceti.rbac2.rest.controller;

import com.chuang.tauceti.rbac2.rest.Rbac2Properties;
import com.chuang.tauceti.rbac2.rest.model.ro.AppRO;
import com.chuang.tauceti.support.Result;
import io.swagger.annotations.Scope;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.context.annotation.RequestScope;

import javax.annotation.Resource;

/**
 * @author ath
 */
@RequestMapping("/sys")
@RestController
public class SysController {

    @Resource private Rbac2Properties properties;

    @GetMapping("/app-info")
    public Result<AppRO> appInfo() {
        AppRO app = new AppRO();
        app.setDescription(properties.getAppDescription());
        app.setName(properties.getAppName());
        return Result.success(app);
    }
}
