package com.chuang.tauceti.rbac2.rest.model;

import org.springframework.context.ApplicationEvent;

public class LoggedEvent extends ApplicationEvent {
    private final String username;
    private final String ip;

    public LoggedEvent(Object source, String username, String ip) {
        super(source);
        this.username = username;
        this.ip = ip;
    }

    public String getUsername() {
        return this.username;
    }

    public String getIp() {
        return this.ip;
    }
}
