package com.chuang.tauceti.rowquery;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Data;

import java.util.List;

public class StatisticsPage<T> extends Page<T> implements IPage<T> {

    private List<StatisticRow<T>> statisticRows;

    public List<StatisticRow<T>> getStatisticRows() {
        return statisticRows;
    }

    public void setStatisticRows(List<StatisticRow<T>> statisticRows) {
        this.statisticRows = statisticRows;
    }

    public StatisticsPage(IPage<T> page, List<StatisticRow<T>> statistics) {
        super(page.getCurrent(), page.getSize(), page.getTotal());
        this.setRecords(page.getRecords());
        this.setStatisticRows(statistics);
    }


    @Data
    public static class StatisticRow<T> {
        private String func;

        private T row;
    }
}
