//package com.chuang.tauceti.limit.counter;
//
//import com.chuang.tauceti.limit.Runner;
//import com.chuang.tauceti.limit.exception.LimitException;
//import org.springframework.dao.DataAccessException;
//import org.springframework.data.redis.connection.RedisConnection;
//import org.springframework.data.redis.core.*;
//import org.springframework.lang.Nullable;
//
//public class RedisCountRunner implements LimitCountRunner {
//
//    private final RedisTemplate<String, Object> redisTemplate;
//    public RedisCountRunner(RedisTemplate<String, Object> redisTemplate) {
//        this.redisTemplate = redisTemplate;
//    }
//
//    protected byte[] asBytes(int i) {
//
//    }
//
//    protected int asInt(@Nullable byte[] bytes) {
//        if(bytes == null) {
//            return 0;
//        }
//
//    }
//
//    @Override
//    public <T> T countRun(String group, String quarantine, int maxMulti, Runner<T> getter) throws Throwable {
//
//        boolean run = false;
//
//        Object v = redisTemplate.execute((RedisCallback<Boolean>) connection -> {
//            connection.multi();
//            byte[] bytes = connection.hGet(group.getBytes(), quarantine.getBytes());
//            int c = asInt(bytes);
//            if(c >= maxMulti) {
//                connection.exec();
//                return new LimitException("group: " + group + ", quarantine: " + quarantine + " 超过了" + maxMulti + "次");
//            } else {
//                connection.hIncrBy(group.getBytes(), quarantine.getBytes(), 1);
//                Object v = getter.run();
//                connection.hIncrBy(group.getBytes(), quarantine.getBytes(), -1);
//                connection.exec();
//                return v;
//            }
//        });
//
//    }
//}
