package com.chuang.tauceti.limit.group;

import com.chuang.tauceti.tools.third.servlet.HttpKit;
import org.springframework.stereotype.Component;

import java.lang.reflect.Method;

/**
 * @author ATH
 */
@Component
public class RequestGroupMapping implements IGroupMapping {

    @Override
    public String groupName() {
        return REQUEST;
    }

    @Override
    public String mapping(Method method) {
        return HttpKit.getRequest()
                .map(request -> request.getMethod().toUpperCase() + "-" + request.getMethod().toLowerCase())
                .get();
    }
}
