package com.chuang.tauceti.limit.quote;

import com.chuang.tauceti.tools.third.servlet.HttpKit;
import org.aspectj.lang.ProceedingJoinPoint;
import org.springframework.stereotype.Component;


/**
 * @author ATH
 */
@Component
public class RequestParamsQuote implements IQuote {
    @Override
    public String refer() {
        return REQUEST_PARAMS;
    }

    @Override
    public Object quote(ProceedingJoinPoint method) {
        return HttpKit.getRequestParameters();
    }
}
