package com.chuang.tauceti.syslog.amqp.annotation;


import java.lang.annotation.*;

/**
 * @author ATH
 */
@Documented
@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface SysLog {

    /**
     * 服务id
     */
    String serviceId();

    /**
     * 模块名
     */
    String moduleName();

    /**
     * 操作名
     */
    String actionName();
}
