package com.chuang.telegram.bot.exception;

import com.chuang.telegram.bot.model.ResponseParameters;
import lombok.Getter;

@Getter
public class TelegramCallApiException extends TelegramApiException{

    private final Integer apiCode;
    private final ResponseParameters responseParameters;

    public TelegramCallApiException(String message, Integer apiCode, ResponseParameters responseParameters) {
        super(message);
        this.apiCode = apiCode;
        this.responseParameters = responseParameters;
    }
}
