package com.chuang.telegram.bot.methods;

import com.chuang.telegram.bot.exception.TelegramApiValidationException;
import com.chuang.telegram.bot.interfaces.BotApiMethod;
import com.chuang.telegram.bot.model.BotApiResponse;
import com.chuang.telegram.bot.model.User;
import com.fasterxml.jackson.core.type.TypeReference;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class GetMe implements BotApiMethod<User> {
    @Override
    public String getMethod() {
        return "getMe";
    }

    @Override
    public void validate() throws TelegramApiValidationException {

    }

    @Override
    public TypeReference<BotApiResponse<User>> typeReference() {
        return new TypeReference<BotApiResponse<User>>() {};
    }
}
