package com.chuang.tauceti.tools.third.redis;

import com.chuang.tauceti.tools.basic.AbstractDistributedLock;
import org.redisson.api.RedissonClient;

/**
 * 基于 Redisson 分布式锁
 *
 * @author Ives.l
 * @since 2021/10/22 10:47
 */
public class RedissonDistributedLock extends AbstractDistributedLock {

    private final RedissonClient redissonClient;

    public RedissonDistributedLock(RedissonClient redissonClient) {
        this.redissonClient = redissonClient;
    }

    @Override


    public boolean lock(String key, long expireSeconds, int retryTimes, long sleepMillis) {
        return false;
    }

    @Override
    public boolean releaseLock(String key) {
        return false;
    }

    @Override
    public boolean isLocked(String key) {
        return false;
    }
}
