import { Component, Input, OnInit } from '@angular/core';
import { SFSchema } from '@delon/form';
import { NzModalRef } from 'ng-zorro-antd/modal';

@Component({
  selector: 'app-view-exempt-domain',
  templateUrl: './view.component.html',
})
export class ExemptDomainViewComponent implements OnInit {
  @Input()
  record: any;

  schema: SFSchema = {
    properties: {
      domain: { type: 'string', title: '豁免域名', readOnly: true },
    },
    ui: {
      spanLabelFixed: 100,
      grid: { span: 24 },
    },
  };

  constructor(private modal: NzModalRef) {}

  ngOnInit(): void {}

  close(): void {
    this.modal.destroy();
  }
}
