import { ScrollingModule } from '@angular/cdk/scrolling';
import { NgModule, Type } from '@angular/core';
import { IconDefinition } from '@ant-design/icons-angular';
import { SharedModule } from '@shared';
import { NzIconModule } from 'ng-zorro-antd/icon';

import { UrrasRoutingModule } from './urras-routing.module';

const icons: IconDefinition[] = [];

const COMPONENTS: Array<Type<void>> = [];
const COMPONENTS_NOROUNT: Array<Type<void>> = [];

@NgModule({
  imports: [SharedModule, UrrasRoutingModule, NzIconModule.forRoot(icons), ScrollingModule],
  declarations: [...COMPONENTS, ...COMPONENTS_NOROUNT],
  entryComponents: COMPONENTS_NOROUNT
})
export class UrrasModule {}
