package com.chuang.urras.common.crud.annotations;

import org.springframework.context.annotation.Import;

import java.lang.annotation.*;

/**
 * @author ATH
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
@Documented
@Import(MybatisPlusPackageRegistrar.class)
public @interface MybatisPlusPackage {
    /** 枚举包 */
    String[] enums();
    /** 实体类包 */
    String[] aliases();
}
