package com.chuang.urras.common.events;

import org.redisson.api.RedissonClient;
import org.springframework.boot.autoconfigure.condition.ConditionalOnBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConditionalOnBean(RedissonClient.class)
public class RedisEventAutoConfiguration {

    @Bean
    public RedisEventManager redisEventManager() {
        return new RedisEventManager();
    }
}
