package com.chuang.urras.common.task.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

/**
 * 调度任务状态
 *
 * @author Ives.l
 * @since 2021/12/9 10:47
 */
public enum SchedulerStatus {

	/**
	 * 正常
	 */
	NORMAL(1),
	/**
	 * 暂停
	 */
	PAUSE(2);

	@EnumValue
	private final byte code;

	SchedulerStatus(int code) {
		this.code = (byte) code;
	}

	public byte getCode() {
		return this.code;
	}
}
