package com.chuang.urras.generator.impl.angular;

import com.baomidou.mybatisplus.generator.config.po.TableInfo;
import com.chuang.tauceti.generator.GenType;
import com.chuang.tauceti.generator.config.GenConfig;
import com.chuang.urras.generator.CustomGenTypes;

/**
 * Angular 创建页面HTML 生成器
 * @author ATH
 */
public class CreateComponentHtml extends AngularComponentGenerator {
    @Override
    public String template() {
        return "/templates/angular/create.component.html.vm";
    }

    @Override
    public GenType type() {
        return CustomGenTypes.ANGULAR_CREATE_HTML;
    }

    @Override
    public String outputFile(GenConfig config, TableInfo info) {
        return BASE_PATH + angularCompName(config, info) + "/modal/create.component.html";
    }
}
