package com.chuang.urras.generator.impl.angular;

import com.baomidou.mybatisplus.generator.config.po.TableInfo;
import com.chuang.tauceti.generator.GenType;
import com.chuang.tauceti.generator.config.GenConfig;
import com.chuang.urras.generator.CustomGenTypes;

/**
 * Angular 编辑页面html 生成器
 * @author ATH
 */
public class EditComponentHtml extends AngularComponentGenerator {
    @Override
    public String template() {
        return "/templates/angular/edit.component.html.vm";
    }

    @Override
    public GenType type() {
        return CustomGenTypes.ANGULAR_EDIT_HTML;
    }

    @Override
    public String outputFile(GenConfig config, TableInfo info) {

        return BASE_PATH + angularCompName(config, info) + "/modal/edit.component.html";
    }
}
