package com.chuang.urras.sr.admin.controller;

import com.chuang.urras.sr.admin.model.ro.DomainFetchLogRO;
import com.chuang.urras.sr.admin.model.uo.DomainFetchLogUO;
import com.chuang.urras.sr.core.entity.DomainFetchLog;
import com.chuang.urras.sr.core.service.single.IDomainFetchLogService;
import com.chuang.tauceti.rowquery.controller.basic.ICrudController;
import com.chuang.urras.sr.admin.model.co.DomainFetchLogCO;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author chuang
 * @since 2021-05-26
 */
@RestController
@RequestMapping("/star-ring/domain-fetch-log")
public class DomainFetchLogController implements ICrudController<DomainFetchLogCO, DomainFetchLogRO, DomainFetchLogUO, DomainFetchLog, IDomainFetchLogService> {

    @Resource private IDomainFetchLogService service;

    @Override
    public IDomainFetchLogService service() {
        return service;
    }

    @Override
    public String basePermission() {
        return "domain-fetch-log:";
    }

}

