package com.chuang.urras.sr.admin.controller;

import com.chuang.tauceti.rowquery.controller.basic.ICrudController;
import com.chuang.urras.sr.admin.model.co.SentenceArticleCO;
import com.chuang.urras.sr.admin.model.ro.SentenceArticleRO;
import com.chuang.urras.sr.admin.model.uo.SentenceArticleUO;
import com.chuang.urras.sr.core.entity.SentenceArticle;
import com.chuang.urras.sr.core.service.single.ISentenceArticleService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 * 句子表 前端控制器
 * </p>
 *
 * @author chuang
 * @since 2021-06-10
 */
@RestController
@RequestMapping("/star-ring/sentence-article")
public class SentenceArticleController implements ICrudController<SentenceArticleCO, SentenceArticleRO, SentenceArticleUO, SentenceArticle, ISentenceArticleService> {

    @Resource private ISentenceArticleService service;

    @Override
    public ISentenceArticleService service() {
        return service;
    }

    @Override
    public String basePermission() {
        return "sentence-article:";
    }

}

