package com.chuang.urras.sr.admin.controller;

import com.chuang.tauceti.rowquery.controller.basic.ICrudController;
import com.chuang.urras.sr.admin.model.co.SpiderLogCO;
import com.chuang.urras.sr.admin.model.ro.SpiderLogRO;
import com.chuang.urras.sr.admin.model.uo.SpiderLogUO;
import com.chuang.urras.sr.core.entity.SpiderLog;
import com.chuang.urras.sr.core.service.single.ISpiderLogService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author chuang
 * @since 2021-05-26
 */
@RestController
@RequestMapping("/star-ring/spider-log")
public class SpiderLogController implements ICrudController<SpiderLogCO, SpiderLogRO, SpiderLogUO, SpiderLog, ISpiderLogService> {

    @Resource private ISpiderLogService service;

    @Override
    public ISpiderLogService service() {
        return service;
    }

    @Override
    public String basePermission() {
        return "spider-log:";
    }

}

