package com.chuang.urras.sr.admin.model.co;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author chuang
 * @since 2021-09-18
 */
@Data
@Accessors(chain = true)
@ApiModel(value="SprocketCO对象", description="")
public class SprocketCO implements Serializable {

    @ApiModelProperty(value = "域名")
    @NotBlank(message = "域名不能为空")
    private String domain;

    @ApiModelProperty(value = "跳转域名")
    @NotBlank(message = "跳转域名不能为空")
    private String targetDomain;

    @NotNull(message = "不能为空")
    private Boolean ring;

}
