package com.chuang.urras.sr.admin.model.ro;

import com.chuang.urras.sr.core.enums.PageType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 句子表
 * </p>
 *
 * @author chuang
 * @since 2021-06-10
 */
@Data
@Accessors(chain = true)
@ApiModel(value="SentenceArticleRO对象", description="句子表")
public class SentenceArticleRO implements Serializable {

    @ApiModelProperty(value = "id")
    private Integer id;
    @ApiModelProperty(value = "域名")
    private String domain;
    @ApiModelProperty(value = "标题")
    private String title;
    @ApiModelProperty(value = "页面类型")
    private PageType page;
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createdTime;
    @ApiModelProperty(value = "创建人")
    private String creator;
}
