package com.chuang.urras.sr.admin.model.ro;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 句子库
 * </p>
 *
 * @author chuang
 * @since 2021-06-10
 */
@Data
@Accessors(chain = true)
@ApiModel(value="SentenceRO对象", description="句子库")
public class SentenceRO implements Serializable {

    @ApiModelProperty(value = "id")
    private Integer id;
    @ApiModelProperty(value = "句子")
    private String sentence;
    @ApiModelProperty(value = "md5")
    private String md5;
}
