package com.chuang.urras.sr.admin.model.ro;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 蜘蛛爬行日志
 * </p>
 *
 * @author chuang
 * @since 2021-05-26
 */
@Data
@Accessors(chain = true)
@ApiModel(value="SpiderLogRO对象", description="蜘蛛爬行日志")
public class SpiderLogRO implements Serializable {

    @ApiModelProperty(value = "id")
    private Integer id;
    @ApiModelProperty(value = "百度蜘蛛个数")
    private Integer baidu;
    @ApiModelProperty(value = "360蜘蛛")
    private Integer haosou;
    @ApiModelProperty(value = "搜狗")
    private Integer sogou;
    @ApiModelProperty(value = "易搜")
    private Integer yisou;
    @ApiModelProperty(value = "其他")
    private Integer other;
    @ApiModelProperty(value = "日期")
    private LocalDate logDate;
    @ApiModelProperty(value = "最后更新时间")
    private LocalDateTime updatedTime;
}
