package com.chuang.urras.sr.core.acme;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "acme")
public class AcmeProperties {

    private String workspace;

    private String providerUri = "https://acme-v02.api.letsencrypt.org";
    private long challengeWaiting = 3000;
    private int challengeRetry = 3;

}
