package com.chuang.urras.sr.core.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chuang.urras.sr.core.entity.Sentence;
import org.apache.ibatis.annotations.Insert;

import java.util.Collection;

/**
 * <p>
 * 句子库 Mapper 接口
 * </p>
 *
 * @author chuang
 * @since 2021-06-10
 */
public interface SentenceMapper extends BaseMapper<Sentence> {

    @Insert("<script> " +
            "insert ignore into `t_sentence`" +
            "(sentence, md5) " +
            "<foreach collection=\"sentences\" item=\"o\" open=\"values\" separator=\",\"> " +
            "(#{o.sentence}, #{o.md5}) " +
            "</foreach> " +
            "</script>")
    int saveOrIgnoreDuplicate(Collection<Sentence> sentences);
}
