package com.chuang.urras.sr.core.service;

import com.chuang.urras.sr.core.entity.ExemptDomain;
import com.chuang.tauceti.rowquery.IRowQueryService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author chuang
 * @since 2021-09-18
 */
public interface IExemptDomainService extends IRowQueryService<ExemptDomain> {

    default boolean isExempt(String domain) {
        return lambdaQuery().eq(ExemptDomain::getDomain, domain).count() > 0;
    }
}
