package com.chuang.urras.sr.core.service.single;

import com.baomidou.mybatisplus.core.toolkit.support.SFunction;
import com.chuang.urras.sr.core.entity.Sentence;
import com.chuang.urras.sr.core.service.IRandomService;

import java.util.Collection;

/**
 * <p>
 * 句子库 服务类
 * </p>
 *
 * @author chuang
 * @since 2021-06-10
 */
public interface ISentenceService extends IRandomService<String, Sentence> {

    @Override
    default SFunction<Sentence, String> randomMapper() {
        return Sentence::getSentence;
    }

    @Override
    default SFunction<Sentence, Integer> idMapper() {
        return Sentence::getId;
    }

    boolean saveBatchSafe(Collection<Sentence> sentences);


}
