package com.chuang.urras.sr.restapp.configuration;

import com.chuang.tauceti.tools.basic.RegexKit;
import com.chuang.urras.sr.core.Utils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.servlet.HandlerInterceptor;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@Slf4j
public class RequestInterceptor implements HandlerInterceptor {


    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) {
        if(RegexKit.isTrue(RegexKit.regExp_ip, request.getServerName())) {
            return false;
        }

        if(request.getHeader("test") != null) {
            response.setHeader("s-name", Utils.getIp());
        }

        return true;
    }

}
